This project is **NOT** being maintained as i'd rather rewrite it from scratch.

## Overview
**JPS-AU-TV** is a tool for automating the uploading process on jpopsuki.eu.  

**Features:**
- JPS Client.
- FTP Support

**Installation:**
- Install requirements
```
pip install -r requirements.txt
```

## Command Usage
```
python upload.py {command_name} {ID/URL}
```
Command  | Description  | Example
------------- | ------------- | -------------
-d, --debug | Provides additional information on upload for debugging purposes | `python autoupload.py -d`
-f, --freeleech | Enables freeleech (VIP+ Userclass Requirement) | `python autoupload.py -f -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-MP3]"`
-t, --tags | Add additional tags to upload, separated with comma | `python autoupload.py -t "korean, female.vocalist" -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-MP3]"`
-dry, --dryrun | Carries out all actions other than the upload itself.| `python autoupload.py -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-MP3]" -dry`
-i [INPUT], --input [INPUT] |Initiate upload on input file|
-rt [RELEASETYPE], --releasetype [RELEASETYPE] | Set the release type. (PV, Music Performance, TV Music, TV Variety, TV-Drama) |
-a [ARTIST], --artist [ARTIST] | Set the artist. (Romaji\English). Split multiple with "," | 
-oa [ORIGINALARTIST], --originalartist [ORIGINALARTIST] | Set the artist. (Original Language)
-ti [TITLE], --title [TITLE] | Set the title. (Romaji\English) | 
-oti [ORIGINALTITLE], --originaltitle [ORIGINALTITLE] | Set the title. (Original Language) |
-t [TAGS], --tags [TAGS]|Add additional tags to the upload. At least 2 tags are required|
-y [YEAR], --year [YEAR]|Set the torrent year (YYYYMMDD or YYYY).|
-fl, --freeleech    |  Enables freeleech.|
-eti [EDITIONTITLE], --editiontitle [EDITIONTITLE]|Set the edition title|
-ey [EDITIONYEAR], --editionyear [EDITIONYEAR]|Set the torrent edition year (YYYYMMDD or YYYY).|
-ms [MEDIASOURCE], --mediasource [MEDIASOURCE]|Set the media source. (HDTV, Web)|
-im [IMAGEPATH], --imagepath [IMAGEPATH]|Set the torrent cover|
-tdes [TORRENTDESCRIPTION], --torrentdescription [TORRENTDESCRIPTION]|Add a torrent description|
-tgdes [TORRENTGROUPDESCRIPTION], --torrentgroupdescription [TORRENTGROUPDESCRIPTION]|Add a torrent group description. This is a required argument.|
-f [FORMATTYPE], --formattype [FORMATTYPE]|Set the media source. (MPEG, MPEG2, AVI, MKV, MP4, h264)|

## Config.json  

- It's not recommended to use both local watch/download folders and ftp watch/download folders at the same time as it will result in seeding from 2 locations.

**credentials:**

Config  | Description  | Example
------------- | ------------- | -------------
Username | JPopSuki Username | Slyy
Password  | JPopSuki Password | Password

**local_prefs**  

Config  | Description  | Example
------------- | ------------- | -------------
add_to_watch_folder | moves .torrent file to local watch folder | `true/false`  
add_to_downloads_folder | moves torrent data to local downloads folder | `true/false`  
local_watch_folder | directory of local watch folder | `Z:/watch/Transmission`
local_downloads_folder | directory of local downloads folder | `Z:/downloads`  


**ftp_prefs:**

Config  | Description  | Example
------------- | ------------- | -------------
enable_ftp  | enable ftp mode, if enabled suggested to disable local watch and downloads folders | `true/false`
add_to_watch_folder | transfer .torrent file to watch folder on FTP server | `true/false`
add_to_downloads_folder | transfer torrent data to downloads folder on FTP server | `true/false`
ftp_server | url of ftp server | haze.seedhost.eu
ftp_username | username of ftp account | slyy
ftp_password | password of ftp account | password
ftp_watch_folder | directory of ftp watch folder | `/downloads/watch/transmission`
ftp_downloads_folder | directory of ftp downloads folder | `/downloads`


## Disclaimer
- The usage of this script **may be** illegal in your country. It's your own responsibility to inform yourself of Copyright Law.
